{% extends 'base.html' %}
{% block 'head' %}
  <title>Evento: {{ event.title }}</title>
  <style>
    .discussion {
      margin-bottom: 0.25rem;
      padding: 0.10rem 0.10rem 0.5rem 0.10rem;
      display: block;
      text-decoration: none;
      border-radius: 0;
      color: whitesmoke;
      transition: filter .15s ease-in-out;
    }
    .dateDiscussion {
      padding: 0 0.5rem 0 0.5rem;
      margin: 0 0 0.25rem 0;
      font-size: small;
      text-align: right;
      transition: filter .15s ease-in-out;
    }
    .discussion:hover {
      filter: brightness(120%);
    }
    .discussionGreen {
      background-color: Green;
    }
    .dateDiscussionGreen {
      background-color: DarkGreen;
    }
    .discussionBlue {
      background-color: Blue;
    }
    .dateDiscussionBlue {
      background-color: MediumBlue;
    }
    .discussionRed {
      background-color: FireBrick;
    }
    .dateDiscussionRed {
      background-color: DarkRed;
    }
  </style>
{% endblock %}
{% block 'main' %}
  <a href=".." class="d-block text-start">&lt; Torna a “tutti gli eventi”</a>
  <h1>Evento: {{ event.title }}</h1>
  {% if event.open %}
    🔓 Questo evento è aperto a tutti.<br>
  {% else %}
    🔒 Questo evento è riservato ai soli utenti invitati.<br>
  {% endif %}
  <h3>Momenti in questo evento:</h3>
  {% for discussion in discussion_list %}
    <a class="discussion discussion{% if discussion.closed %}Red{% elif discussion.start %}Green{% else %}Blue{% endif %} border border-dark" href="{% url 'discussion-details' pk=discussion.pk %}">
      <p class="dateDiscussion dateDiscussion{% if discussion.closed %}Red{% elif discussion.start %}Green{% else %}Blue{% endif %} border border-dark">
        {% if discussion.start %}{{ discussion.start|date:'D d M Y — H:i' }}{% else %}Non iniziato{% endif %}
      </p>
      <b>{{ discussion.title }}</b>
    </a>
  {% empty %}
    Non ci sono discussioni attive.
  {% endfor %}
{% endblock %}